﻿Type=Class
Version=3.2
@EndOfDesignText@
'Class module
Sub Class_Globals
   Public pID As Int
   Public pFirstName, pLastName, pBirthDate, pCountryOfOrigin As String
   Public pLifeExp As Long
End Sub

Sub Initialize (aID As Int)
  pID = aID
End Sub

Public Sub getName As String
   Return pFirstName & " " & pLastName
End Sub

Public Sub GetCurrentAge As Int
   Return GetAgeAt(DateTime.Now)
End Sub

Public Sub GetCurrentAgeDays As Int
   Return GetAgeDaysAt(DateTime.Now)
End Sub

Public Sub GetAgeAt(Date As Long) As Int
   Dim diff As Long
   diff = Date - pBirthDate
   Return Floor(diff / DateTime.TicksPerDay / 365)
End Sub

Public Sub GetAgeDaysAt(Date As Long) As Int
   Dim diff As Long
   diff = Date - pBirthDate
   Return Floor(diff / DateTime.TicksPerDay)
End Sub

Public Sub GetYearBirth As Int
   Return DateTime.GetYear(pBirthDate)
End Sub

Public Sub GetYearMonth As Int
   Return DateTime.GetMonth(pBirthDate)
End Sub


